### Signal

# GtkSource VimIMContext::write

since: 5.4

#### Declaration

    void
    write (
      GtkSourceVimIMContext* self,
      GtkSourceView* view,
      gchar* path,
      gpointer user_data
    )

#### Description [src]

Requests the application save the file.

If a filename was provided, it will be available to the signal handler as `path`. This may be executed in relation to the user running the `:write` or `:w` commands.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 5.4

#### Parameters

`view`

  Type: `GtkSourceView`

  The `GtkSourceView`.

  The data is owned by the caller of the function.

`path`

  Type: `gchar*`

  The path if provided, otherwise `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.